module std_type

!!	===========================================================================
!!	Definice standardnich typu pro programy v F
!!	Verse 1.1 (210705)
!!	Jan Cely, UFKL PrF MU
!!	===========================================================================

intrinsic :: selected_int_kind, selected_real_kind

integer,parameter,public :: i1b = selected_int_kind(1)
integer,parameter,public :: i2b = selected_int_kind(3)
integer,parameter,public :: i4b = selected_int_kind(5)
integer,parameter,public :: i8b = selected_int_kind(10)


integer,parameter,public :: SP = selected_real_kind(6)
integer,parameter,public :: DP = selected_real_kind(15)

end module std_type


